#
# spec file for package acl (Version 2.2.21)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  libattr libattr-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libattr-devel libtool perl rpm

Name:         acl
Group:        System/Filesystems
Autoreqprov:  on
Summary:      Commands for Manipulating POSIX Access Control Lists
Version:      2.2.21
Release:      54.4
Source:       %{name}-2.2.24.src.tar.bz2
Patch0:       builddefs.in.diff
Patch1:       setfacl-X.diff
Patch2:       sles-backout.diff
URL:          http://oss.sgi.com/projects/xfs/
License:      GPL, Other License(s), see package
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Getfacl and setfacl commands for retrieving and setting POSIX Access
Control Lists.



Authors:
--------
    Andreas Gruenbacher <a.gruenbacher@computer.org>
    SGI

%package -n libacl
Summary:      A dynamic library for accessing POSIX Access Control Lists
Group:        System/Libraries

%description -n libacl
This package contains the libacl.so dynamic library which contains the
POSIX 1003.1e draft standard 17 functions for manipulating access
control lists.



Authors:
--------
    Andreas Gruenbacher <a.gruenbacher@computer.org>
    SGI

%package -n libacl-devel
Summary:      Include Files and Libraries mandatory for Development
Autoreqprov:  on
Group:        Development/Libraries/C and C++
Requires:     libacl = %{version}
Provides:     acl-devel
Obsoletes:    acl-devel

%description -n libacl-devel
This package contains all necessary include files andlibraries needed
to develop applications that require these.



Authors:
--------
    SGI

%prep
%setup -n acl-2.2.24
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
export OPTIMIZER="-O -fPIC"
export DEBUG=-DNDEBUG
aclocal --acdir=m4
autoconf
CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr \
	--mandir=%{_mandir} \
	--libdir=/%{_lib} \
	--libexecdir=%{_libdir}
make

%install
DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
DIST_INSTALL_LIB=`pwd`/install-lib.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV DIST_INSTALL_LIB
/usr/bin/make install DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/make install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
/usr/bin/make install-lib DIST_MANIFEST="$DIST_INSTALL_LIB"
files()
{
	sort | uniq | awk ' 
$1 == "d" { printf ("%%%%dir %%%%attr(%s,%s,%s) %s\n", $2, $3, $4, $5); } 
$1 == "f" { if (match ($6, "/usr/share/man") || match ($6, "/usr/share/doc/packages/acl"))
		printf ("%%%%doc ");
	    if (match ($6, "/usr/share/man"))
		printf ("%%%%attr(%s,%s,%s) %s*\n", $2, $3, $4, $6);
	    else
		printf ("%%%%attr(%s,%s,%s) %s\n", $2, $3, $4, $6); }
$1 == "l" { if (match ($3, "/usr/share/man") || match ($3, "/usr/share/doc/packages/acl"))
		printf ("%%%%doc ");
	    if (match ($3, "/usr/share/man"))
		printf ("%%%%attr(0777,root,root) %s*\n", $3);
	    else
		printf ("%%%%attr(0777,root,root) %s\n", $3); }'
}
set +x
files < "$DIST_INSTALL" | egrep -v -e "^%%dir.*/bin$" -e "^%%dir.*/man[15]$" -e "^%%dir.*/LC_MESSAGES$" > files.rpm
files < "$DIST_INSTALL_DEV" | egrep -v -e "^%%dir.*/lib(64)?$" -e "^%%dir.*/man3$" -e "^%%dir.*/include$" -e "^%%dir.*/include/sys$" > filesdevel.rpm
files < "$DIST_INSTALL_LIB" | egrep -v -e "^%%dir.*/lib(64)?$" > fileslib.rpm
set -x

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%post -n libacl
%run_ldconfig

%postun -n libacl
%run_ldconfig

%files -f files.rpm

%files -n libacl-devel -f filesdevel.rpm

%files -n libacl -f fileslib.rpm

%changelog -n acl
* Thu Aug 26 2004 - agruen@suse.de
- Update to 2.2.25 (patched back to version 2.2.21):
- #43472: Fix processing of the X pseudo permission in setfacl:
  Must not modify the sequence of commands directly or else only
  the first file is processed correctly, and X is not evaluated
  for any other file. Add test case for X pseudo permission.
- Remove support for relative permission changes; this
  non-standard feature was disabled since a while already.
- Included Polish message translations by Jakub Bogusz.
- Back out modified autoconf test that is wrong in SLES.
- Fix cut-and-paste error in manual page.
- Update example source code.
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Thu Jan 01 2004 - agruen@suse.de
- Update to version 2.2.21. Bug fix in directory tree walking
  code.
* Wed Oct 22 2003 - kukuk@suse.de
- Fix provides for update case
* Thu Aug 28 2003 - agruen@suse.de
- Fix a bug with error handling while walking directory trees.
* Thu Aug 28 2003 - ro@suse.de
- fix patch depth in specfile
* Wed Aug 27 2003 - agruen@suse.de
- Fix SIGSEGV if the quote function.
* Fri Aug 15 2003 - agruen@suse.de
- Update to 2.2.15: Includes quoting of special characters in
  path and user names, and several minor fixes. (For details see
  doc/CHANGES in the tarball).
* Mon Jun 16 2003 - ja@suse.cz
- File list fixed.
* Sun Apr 06 2003 - agruen@suse.de
- Update to 2.2.7.
* Wed Feb 26 2003 - agruen@suse.de
- Update to acl-2.2.3a, which has all our patches plus an
  additional malloc bug fix.
* Mon Feb 24 2003 - agruen@suse.de
- Increment libattr library version to 1.1.0.
- Add symbol level versioning for libacl.
* Sat Feb 08 2003 - agruen@suse.de
- Fix a long standing bug in acl_get_file() for Default ACLs (that
  probably was there from hour one), and another critical bug in
  the libacl entry pre-allocation patch (introduced on Jan 22).
* Tue Jan 28 2003 - agruen@suse.de
- Fix inconsistent declarations for visibility("hidden") attributes
  ("config.h" was not always included).
- Fix a signedness warning in getfacl/user_group.c with a type
  cast.
* Wed Jan 22 2003 - agruen@suse.de
- Update to acl-2.2.2
- Fix a memory leak in acl_init()
- Add memory pre-allocation support patch for libacl
- Add ACL copying functions patch
- Add visibility(hidden) patch that hides libacl internal functions
  from the outside.
- Let mls@suse.de add the following package alias in Autobuild
  for building packages against older releases:
  libacl-devel -> acl-devel [for <= 8.1]
* Tue Jan 21 2003 - agruen@suse.de
- Remove (Prereq: /sbin/ldconfig) tag, and use %%run_ldconfig
  in %%post and %%postun instead.
- acl-devel was renamed to libacl-devel: add missing
  `Obsoletes: acl-devel' tag to libacl-devel.
* Sun Jan 19 2003 - agruen@suse.de
- Fix a typo and add a clarification in the acl.5 manual page.
* Fri Dec 13 2002 - schwab@suse.de
- Fix filelist generation.
* Fri Dec 13 2002 - jderfina@suse.cz
- upgrading to version 2.1.1
- spliting acl to acl (binaries), libacl (libraries) and libacl-devel
  (development stuff). This spliting follows SGI's release.
* Thu Sep 05 2002 - agruen@suse.de
- Update to 2.0.19 + additional corrections (see
  acl-2.0.19/doc/CHANGES).
* Thu Aug 15 2002 - agruen@suse.de
- Remove the suse_update_config macro and the config.* stuff.
  (According to ro@suse.de this is not necessary.)
- Change the documentation path in builddefs.in instead of in
  configure.in.
- Update to version 2.0.17
* Thu Jun 20 2002 - uli@suse.de
- fixed for lib64
* Thu Jun 20 2002 - lmuelle@suse.de
- Remove DESTDIR patch, use DIST_ROOT of package instead
- Fix library location in the devel package
- Update to version 2.0.11
* Tue May 07 2002 - sf@suse.de
- moved libs to %%{_lib} (they were in /lib _and_ /usr/lib before)
* Mon Feb 25 2002 - ro@suse.de
- initial package (v2.0.0) (split from xfsprogs spec)
